
Foreman - Bug #24057

Email subject prefix accepts long strings

06/25/2018 06:47 AM - Aditi Puntambekar

Status: Closed   

Priority: Low   

Assignee: Aditi Puntambekar   

Category: Settings   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link: 1488235 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5742,

https://github.com/theforeman/foreman/p

ull/5757

  

Description

Description of problem:

Most string fields are limited to 255 chars but that is not the case of email subject prefix

Version-Release number of selected component (if applicable):

Satellite 6.3 snap 14

How reproducible:

Always

Steps to Reproduce:

hammer> settings set --name=email_subject_prefix

--value="pppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp

ppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp

ppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp

ppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp

ppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp

ppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp

ppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp

ppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp

ppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp

pppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp"

Actual results:

Email subject prefix is updated with a string containing 1000 chars.

Expected results:

Error msg limiting the field to 255 chars.

Additional info:

Associated revisions

Revision 87e23352 - 06/28/2018 04:51 PM - Aditi Puntambekar

Fixes #24057 - Email subject prefix accepts long strings (#5742)

Revision 151ecb5d - 06/29/2018 03:47 PM - Lukas Zapletal

05/09/2024 1/2



Refs #24057 - fixed broken email test

History

#1 - 06/26/2018 08:36 AM - Aditi Puntambekar

- Triaged set to No

- Pull request https://github.com/theforeman/foreman/pull/5742 added

#2 - 06/26/2018 08:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 06/28/2018 08:00 AM - Aditi Puntambekar

- Category set to Settings

#4 - 06/28/2018 05:01 PM - Aditi Puntambekar

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 87e2335232a3b912dd4d9691daf16b82f88be0eb.

#5 - 06/29/2018 03:01 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5757 added

#6 - 07/01/2018 07:17 PM - Marek Hulán

- translation missing: en.field_release set to 353

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/87e2335232a3b912dd4d9691daf16b82f88be0eb
http://www.tcpdf.org

